Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zmeso.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zmeso.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zmeso.F90	(revision 9124)
@@ -76,5 +76,5 @@
       !!---------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('p4z_meso')
+      IF( ln_timing )   CALL timing_start('p4z_meso')
       !
       CALL wrk_alloc( jpi, jpj, jpk, zgrazing )
@@ -240,10 +240,10 @@
       CALL wrk_dealloc( jpi, jpj, jpk, zgrazing )
       !
-      IF( nn_timing == 1 )  CALL timing_stop('p4z_meso')
+      IF( ln_timing )   CALL timing_stop('p4z_meso')
       !
    END SUBROUTINE p4z_meso
 
+
    SUBROUTINE p4z_meso_init
-
       !!----------------------------------------------------------------------
       !!                  ***  ROUTINE p4z_meso_init  ***
@@ -257,20 +257,20 @@
       !!
       !!----------------------------------------------------------------------
-
+      INTEGER ::   ios   ! Local integer
+      !
       NAMELIST/namp4zmes/ part2, grazrat2, resrat2, mzrat2, xprefc, xprefp, xprefz,   &
          &                xprefpoc, xthresh2dia, xthresh2phy, xthresh2zoo, xthresh2poc, &
          &                xthresh2, xkgraz2, epsher2, sigma2, unass2, grazflux
-      INTEGER :: ios                 ! Local integer output status for namelist read
-
+      !!----------------------------------------------------------------------
+      !
       REWIND( numnatp_ref )              ! Namelist nampismes in reference namelist : Pisces mesozooplankton
       READ  ( numnatp_ref, namp4zmes, IOSTAT = ios, ERR = 901)
 901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namp4zmes in reference namelist', lwp )
-
+      !
       REWIND( numnatp_cfg )              ! Namelist nampismes in configuration namelist : Pisces mesozooplankton
       READ  ( numnatp_cfg, namp4zmes, IOSTAT = ios, ERR = 902 )
-902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namp4zmes in configuration namelist', lwp )
+902   IF( ios >  0 ) CALL ctl_nam ( ios , 'namp4zmes in configuration namelist', lwp )
       IF(lwm) WRITE ( numonp, namp4zmes )
-
-
+      !
       IF(lwp) THEN                         ! control print
          WRITE(numout,*) ' ' 
@@ -296,6 +296,5 @@
          WRITE(numout,*) '    half sturation constant for grazing 2          xkgraz2      =', xkgraz2
       ENDIF
-
-
+      !
    END SUBROUTINE p4z_meso_init
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zmicro.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zmicro.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zmicro.F90	(revision 9124)
@@ -42,5 +42,4 @@
    REAL(wp), PUBLIC ::  epsher      !: half sturation constant for grazing 1 
 
-
    !!----------------------------------------------------------------------
    !! NEMO/TOP 3.3 , NEMO Consortium (2010)
@@ -48,5 +47,4 @@
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-
 CONTAINS
 
@@ -75,5 +73,5 @@
       !!---------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('p4z_micro')
+      IF( ln_timing )   CALL timing_start('p4z_micro')
       !
       CALL wrk_alloc( jpi, jpj, jpk, zgrazing )
@@ -196,5 +194,5 @@
       CALL wrk_dealloc( jpi, jpj, jpk, zgrazing )
       !
-      IF( nn_timing == 1 )  CALL timing_stop('p4z_micro')
+      IF( ln_timing )   CALL timing_stop('p4z_micro')
       !
    END SUBROUTINE p4z_micro
@@ -202,5 +200,4 @@
 
    SUBROUTINE p4z_micro_init
-
       !!----------------------------------------------------------------------
       !!                  ***  ROUTINE p4z_micro_init  ***
@@ -214,19 +211,20 @@
       !!
       !!----------------------------------------------------------------------
-
+      INTEGER ::   ios   ! Local integer
+      !
       NAMELIST/namp4zzoo/ part, grazrat, resrat, mzrat, xpref2c, xpref2p, &
          &                xpref2d,  xthreshdia,  xthreshphy,  xthreshpoc, &
          &                xthresh, xkgraz, epsher, sigma1, unass
-      INTEGER :: ios                 ! Local integer output status for namelist read
-
+      !!----------------------------------------------------------------------
+      !
       REWIND( numnatp_ref )              ! Namelist nampiszoo in reference namelist : Pisces microzooplankton
       READ  ( numnatp_ref, namp4zzoo, IOSTAT = ios, ERR = 901)
 901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namp4zzoo in reference namelist', lwp )
-
+      !
       REWIND( numnatp_cfg )              ! Namelist nampiszoo in configuration namelist : Pisces microzooplankton
       READ  ( numnatp_cfg, namp4zzoo, IOSTAT = ios, ERR = 902 )
-902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namp4zzoo in configuration namelist', lwp )
+902   IF( ios >  0 ) CALL ctl_nam ( ios , 'namp4zzoo in configuration namelist', lwp )
       IF(lwm) WRITE ( numonp, namp4zzoo )
-
+      !
       IF(lwp) THEN                         ! control print
          WRITE(numout,*) ' '
@@ -249,5 +247,5 @@
          WRITE(numout,*) '    half sturation constant for grazing 1           xkgraz      =', xkgraz
       ENDIF
-
+      !
    END SUBROUTINE p4z_micro_init
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zmort.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zmort.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zmort.F90	(revision 9124)
@@ -72,5 +72,5 @@
       !!---------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('p4z_nano')
+      IF( ln_timing )   CALL timing_start('p4z_nano')
       !
       prodcal(:,:,:) = 0.  !: calcite production variable set to zero
@@ -126,7 +126,8 @@
        ENDIF
       !
-      IF( nn_timing == 1 )  CALL timing_stop('p4z_nano')
+      IF( ln_timing )   CALL timing_stop('p4z_nano')
       !
    END SUBROUTINE p4z_nano
+
 
    SUBROUTINE p4z_diat
@@ -145,5 +146,5 @@
       !!---------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('p4z_diat')
+      IF( ln_timing )   CALL timing_start('p4z_diat')
       !
 
@@ -201,10 +202,10 @@
       ENDIF
       !
-      IF( nn_timing == 1 )  CALL timing_stop('p4z_diat')
+      IF( ln_timing )   CALL timing_stop('p4z_diat')
       !
    END SUBROUTINE p4z_diat
 
+
    SUBROUTINE p4z_mort_init
-
       !!----------------------------------------------------------------------
       !!                  ***  ROUTINE p4z_mort_init  ***
@@ -218,17 +219,18 @@
       !!
       !!----------------------------------------------------------------------
-
+      INTEGER ::   ios   ! Local integer
+      !
       NAMELIST/namp4zmort/ wchl, wchld, wchldm, mprat, mprat2
-      INTEGER :: ios                 ! Local integer output status for namelist read
-
+      !!----------------------------------------------------------------------
+      !
       REWIND( numnatp_ref )              ! Namelist nampismort in reference namelist : Pisces phytoplankton
       READ  ( numnatp_ref, namp4zmort, IOSTAT = ios, ERR = 901)
 901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namp4zmort in reference namelist', lwp )
-
+      !
       REWIND( numnatp_cfg )              ! Namelist nampismort in configuration namelist : Pisces phytoplankton
       READ  ( numnatp_cfg, namp4zmort, IOSTAT = ios, ERR = 902 )
-902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namp4zmort in configuration namelist', lwp )
+902   IF( ios >  0 ) CALL ctl_nam ( ios , 'namp4zmort in configuration namelist', lwp )
       IF(lwm) WRITE ( numonp, namp4zmort )
-
+      !
       IF(lwp) THEN                         ! control print
          WRITE(numout,*) ' '
@@ -241,5 +243,5 @@
          WRITE(numout,*) '    Diatoms mortality rate                    mprat2    =', mprat2
       ENDIF
-
+      !
    END SUBROUTINE p4z_mort_init
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zopt.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zopt.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zopt.F90	(revision 9124)
@@ -18,5 +18,4 @@
    USE prtctl_trc      !  print control for debugging
 
-
    IMPLICIT NONE
    PRIVATE
@@ -59,5 +58,4 @@
       !! ** Method  : - ???
       !!---------------------------------------------------------------------
-      !
       INTEGER, INTENT(in) ::   kt, knt   ! ocean time step
       !
@@ -72,5 +70,5 @@
       !!---------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('p4z_opt')
+      IF( ln_timing )  CALL timing_start('p4z_opt')
       !
       ! Allocate temporary workspace
@@ -250,7 +248,8 @@
                    CALL wrk_dealloc( jpi, jpj, jpk, zpar   ,  ze0, ze1, ze2, ze3, zchl3d )
       !
-      IF( nn_timing == 1 )  CALL timing_stop('p4z_opt')
+      IF( ln_timing )  CALL timing_stop('p4z_opt')
       !
    END SUBROUTINE p4z_opt
+
 
    SUBROUTINE p4z_opt_par( kt, pqsr, pe1, pe2, pe3, pe0, pqsr100 ) 
@@ -334,13 +333,11 @@
       !!
       !!----------------------------------------------------------------------
-      !! * arguments
       INTEGER ,                INTENT(in) ::   kt     ! ocean time step
-
-      !! * local declarations
+      !
       INTEGER  :: ji,jj
       REAL(wp) :: zcoef
       !!---------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('p4z_optsbc')
+      IF( ln_timing )  CALL timing_start('p4z_optsbc')
       !
       ! Compute par_varsw at nit000 or only if there is more than 1 time record in par coefficient file
@@ -352,7 +349,8 @@
       ENDIF
       !
-      IF( nn_timing == 1 )  CALL timing_stop('p4z_optsbc')
+      IF( ln_timing )  CALL timing_stop('p4z_optsbc')
       !
    END SUBROUTINE p4z_opt_sbc
+
 
    SUBROUTINE p4z_opt_init
@@ -365,5 +363,4 @@
       !! ** Input   :   external ascii and netcdf files
       !!----------------------------------------------------------------------
-      !
       INTEGER :: numpar
       INTEGER :: ierr
@@ -375,8 +372,5 @@
       !
       NAMELIST/nampisopt/cn_dir, sn_par, ln_varpar, parlux
-
-      !!----------------------------------------------------------------------
-
-      IF( nn_timing == 1 )  CALL timing_start('p4z_opt_init')
+      !!----------------------------------------------------------------------
 
       REWIND( numnatp_ref )              ! Namelist nampisopt in reference namelist : Pisces attenuation coef. and PAR
@@ -434,6 +428,4 @@
       IF( ln_qsr_bio )   etot3    (:,:,:) = 0._wp
       ! 
-      IF( nn_timing == 1 )  CALL timing_stop('p4z_opt_init')
-      !
    END SUBROUTINE p4z_opt_init
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zpoc.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zpoc.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zpoc.F90	(revision 9124)
@@ -17,5 +17,4 @@
    USE prtctl_trc      !  print control for debugging
    USE iom             !  I/O manager
-
 
    IMPLICIT NONE
@@ -69,5 +68,5 @@
       !!---------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('p4z_poc')
+      IF( ln_timing )  CALL timing_start('p4z_poc')
       !
       ! Allocate temporary workspace
@@ -470,5 +469,5 @@
       DEALLOCATE( alphag )
       !
-      IF( nn_timing == 1 )  CALL timing_stop('p4z_poc')
+      IF( ln_timing )   CALL timing_stop('p4z_poc')
       !
    END SUBROUTINE p4z_poc
@@ -487,13 +486,11 @@
       !!
       !!----------------------------------------------------------------------
-      INTEGER :: jn
+      INTEGER ::   ios, ifault   ! Local integer
+      INTEGER ::   jn
       REAL(wp) :: remindelta, reminup, remindown
-      INTEGER  :: ifault
-
-      NAMELIST/nampispoc/ xremip, jcpoc, rshape,  &
-         &     xremipc, xremipn, xremipp
-
-
-      INTEGER :: ios                 ! Local integer output status for namelist read
+      !!
+      NAMELIST/nampispoc/ xremip , jcpoc  , rshape,  &
+         &                xremipc, xremipn, xremipp
+      !!----------------------------------------------------------------------
 
       REWIND( numnatp_ref )              ! Namelist nampisrem in reference namelist : Pisces remineralization
@@ -503,5 +500,5 @@
       REWIND( numnatp_cfg )              ! Namelist nampisrem in configuration namelist : Pisces remineralization
       READ  ( numnatp_cfg, nampispoc, IOSTAT = ios, ERR = 902 )
-902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampispoc in configuration namelist', lwp )
+902   IF( ios >  0 ) CALL ctl_nam ( ios , 'nampispoc in configuration namelist', lwp )
       IF(lwm) WRITE ( numonp, nampispoc )
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zprod.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zprod.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zprod.F90	(revision 9124)
@@ -65,5 +65,4 @@
       !! ** Method  : - ???
       !!---------------------------------------------------------------------
-      !
       INTEGER, INTENT(in) :: kt, knt
       !
@@ -85,5 +84,5 @@
       !!---------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('p4z_prod')
+      IF( ln_timing )   CALL timing_start('p4z_prod')
       !
       !  Allocate temporary workspace
@@ -486,5 +485,5 @@
      CALL wrk_dealloc( jpi, jpj, jpk, zprorcan, zprorcad, zprofed, zprofen, zpronewn, zpronewd )
      !
-     IF( nn_timing == 1 )  CALL timing_stop('p4z_prod')
+     IF( ln_timing )  CALL timing_stop('p4z_prod')
      !
    END SUBROUTINE p4z_prod
@@ -502,8 +501,8 @@
       !! ** input   :   Namelist nampisprod
       !!----------------------------------------------------------------------
+      INTEGER :: ios                 ! Local integer output status for namelist read
       !
       NAMELIST/namp4zprod/ pislopen, pisloped, xadap, ln_newprod, bresp, excretn, excretd,  &
          &                 chlcnm, chlcdm, chlcmin, fecnm, fecdm, grosip
-      INTEGER :: ios                 ! Local integer output status for namelist read
       !!----------------------------------------------------------------------
 
@@ -514,5 +513,5 @@
       REWIND( numnatp_cfg )              ! Namelist nampisprod in configuration namelist : Pisces phytoplankton production
       READ  ( numnatp_cfg, namp4zprod, IOSTAT = ios, ERR = 902 )
-902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namp4zprod in configuration namelist', lwp )
+902   IF( ios >  0 ) CALL ctl_nam ( ios , 'namp4zprod in configuration namelist', lwp )
       IF(lwm) WRITE ( numonp, namp4zprod )
 
@@ -555,4 +554,5 @@
       !
    END FUNCTION p4z_prod_alloc
+
    !!======================================================================
 END MODULE p4zprod
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zrem.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zrem.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zrem.F90	(revision 9124)
@@ -58,5 +58,4 @@
       !! ** Method  : - ???
       !!---------------------------------------------------------------------
-      !
       INTEGER, INTENT(in) ::   kt, knt ! ocean time step
       !
@@ -72,5 +71,5 @@
       !!---------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('p4z_rem')
+      IF( ln_timing )   CALL timing_start('p4z_rem')
       !
       ! Allocate temporary workspace
@@ -289,5 +288,5 @@
       CALL wrk_dealloc( jpi, jpj, jpk, zdepbac, zdepprod, zolimi, zfacsi, zfacsib )
       !
-      IF( nn_timing == 1 )  CALL timing_stop('p4z_rem')
+      IF( ln_timing )   CALL timing_stop('p4z_rem')
       !
    END SUBROUTINE p4z_rem
@@ -309,4 +308,5 @@
          &                xremikc, xremikn, xremikp
       INTEGER :: ios                 ! Local integer output status for namelist read
+      !!----------------------------------------------------------------------
 
       REWIND( numnatp_ref )              ! Namelist nampisrem in reference namelist : Pisces remineralization
@@ -316,5 +316,5 @@
       REWIND( numnatp_cfg )              ! Namelist nampisrem in configuration namelist : Pisces remineralization
       READ  ( numnatp_cfg, nampisrem, IOSTAT = ios, ERR = 902 )
-902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampisrem in configuration namelist', lwp )
+902   IF( ios >  0 ) CALL ctl_nam ( ios , 'nampisrem in configuration namelist', lwp )
       IF(lwm) WRITE ( numonp, nampisrem )
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsbc.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsbc.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsbc.F90	(revision 9124)
@@ -108,6 +108,5 @@
       !!---------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('p4z_sbc')
-
+      IF( ln_timing )  CALL timing_start('p4z_sbc')
       !
       ! Compute dust at nit000 or only if there is more than 1 time record in dust file
@@ -189,10 +188,10 @@
       ENDIF
       !
-      IF( nn_timing == 1 )  CALL timing_stop('p4z_sbc')
+      IF( ln_timing )  CALL timing_stop('p4z_sbc')
       !
    END SUBROUTINE p4z_sbc
 
+
    SUBROUTINE p4z_sbc_init
-
       !!----------------------------------------------------------------------
       !!                  ***  routine p4z_sbc_init  ***
@@ -232,6 +231,4 @@
         &                hratio, fep_rats, fep_rath, lgw_rath
       !!----------------------------------------------------------------------
-      !
-      IF( nn_timing == 1 )  CALL timing_start('p4z_sbc_init')
       !
       !                            !* set file information
@@ -535,6 +532,4 @@
       ENDIF
       !
-      IF( nn_timing == 1 )  CALL timing_stop('p4z_sbc_init')
-      !
    END SUBROUTINE p4z_sbc_init
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsed.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsed.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsed.F90	(revision 9124)
@@ -68,8 +68,7 @@
       REAL(wp), POINTER, DIMENSION(:,:,:) :: ztrpo4, ztrdop, zirondep, zsoufer, zpdep, zlight
       REAL(wp), POINTER, DIMENSION(:,:  ) :: zwsfep
-
       !!---------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('p4z_sed')
+      IF( ln_timing )  CALL timing_start('p4z_sed')
       !
       IF( kt == nittrc000 .AND. knt == 1 )   r1_rday  = 1. / rday
@@ -522,5 +521,5 @@
       IF( ln_ligand ) CALL wrk_dealloc( jpi, jpj, zwsfep )
       !
-      IF( nn_timing == 1 )  CALL timing_stop('p4z_sed')
+      IF( ln_timing )  CALL timing_stop('p4z_sed')
       !
    END SUBROUTINE p4z_sed
@@ -537,5 +536,4 @@
    END FUNCTION p4z_sed_alloc
 
-
    !!======================================================================
 END MODULE p4zsed
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsink.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsink.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsink.F90	(revision 9124)
@@ -69,5 +69,5 @@
       !!---------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('p4z_sink')
+      IF( ln_timing )   CALL timing_start('p4z_sink')
 
 
@@ -261,8 +261,9 @@
       ENDIF
       !
-      IF( nn_timing == 1 )  CALL timing_stop('p4z_sink')
+      IF( ln_timing )   CALL timing_stop('p4z_sink')
       !
    END SUBROUTINE p4z_sink
 
+
    SUBROUTINE p4z_sink_init
       !!----------------------------------------------------------------------
@@ -270,5 +271,6 @@
       !!----------------------------------------------------------------------
       INTEGER :: jk
-
+      !!----------------------------------------------------------------------
+      !
       ik100 = 10        !  last level where depth less than 100 m
       DO jk = jpkm1, 1, -1
@@ -282,4 +284,5 @@
       !
    END SUBROUTINE p4z_sink_init
+
 
    SUBROUTINE p4z_sink2( pwsink, psinkflx, jp_tra, kiter )
@@ -294,10 +297,9 @@
       !!      transport term, i.e.  div(u*tra).
       !!---------------------------------------------------------------------
-      !
       INTEGER , INTENT(in   )                         ::   jp_tra    ! tracer index index      
       INTEGER , INTENT(in   )                         ::   kiter     ! number of iterations for time-splitting 
       REAL(wp), INTENT(in   ), DIMENSION(jpi,jpj,jpk) ::   pwsink    ! sinking speed
       REAL(wp), INTENT(inout), DIMENSION(jpi,jpj,jpk) ::   psinkflx  ! sinking fluxe
-      !!
+      !
       INTEGER  ::   ji, jj, jk, jn
       REAL(wp) ::   zigma,zew,zign, zflx, zstep
@@ -305,5 +307,5 @@
       !!---------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('p4z_sink2')
+      IF( ln_timing )   CALL timing_start('p4z_sink2')
       !
       ! Allocate temporary workspace
@@ -391,5 +393,5 @@
       CALL wrk_dealloc( jpi, jpj, jpk, ztraz, zakz, zwsink2, ztrb )
       !
-      IF( nn_timing == 1 )  CALL timing_stop('p4z_sink2')
+      IF( ln_timing )  CALL timing_stop('p4z_sink2')
       !
    END SUBROUTINE p4z_sink2
@@ -401,5 +403,6 @@
       !!----------------------------------------------------------------------
       INTEGER :: ierr(3)
-
+      !!----------------------------------------------------------------------
+      !
       ierr(:) = 0
       !
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsms.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsms.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsms.F90	(revision 9124)
@@ -40,5 +40,4 @@
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   xnegtr     !: ???
 
-
    !!----------------------------------------------------------------------
    !! NEMO/TOP 3.3 , NEMO Consortium (2010)
@@ -68,5 +67,5 @@
       !!---------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('p4z_sms')
+      IF( ln_timing )   CALL timing_start('p4z_sms')
       !
       IF( kt == nittrc000 ) THEN
@@ -171,11 +170,12 @@
       !
 
-      IF( lk_iomput .OR. ln_check_mass )  CALL p4z_chk_mass( kt ) ! Mass conservation checking
-
-      IF ( lwm .AND. kt == nittrc000 ) CALL FLUSH    ( numonp )     ! flush output namelist PISCES
-      IF( nn_timing == 1 )  CALL timing_stop('p4z_sms')
-      !
+      IF( lk_iomput .OR. ln_check_mass )  CALL p4z_chk_mass( kt )    ! Mass conservation checking
+
+      IF( lwm .AND. kt == nittrc000    )  CALL FLUSH( numonp )       ! flush output namelist PISCES
+      !
+      IF( ln_timing )  CALL timing_stop('p4z_sms')
       !
    END SUBROUTINE p4z_sms
+
 
    SUBROUTINE p4z_sms_init
@@ -188,11 +188,12 @@
       !!             namelist: natext, natbio, natsms
       !!----------------------------------------------------------------------
+      INTEGER :: ios                 ! Local integer output status for namelist read
+      !!
       NAMELIST/nampisbio/ nrdttrc, wsbio, xkmort, ferat3, wsbio2, wsbio2max, wsbio2scale,    &
          &                   niter1max, niter2max, wfep, ldocp, ldocz, lthet,  &
          &                   no3rat3, po4rat3
-
+         !
       NAMELIST/nampisdmp/ ln_pisdmp, nn_pisdmp
       NAMELIST/nampismass/ ln_check_mass
-      INTEGER :: ios                 ! Local integer output status for namelist read
       !!----------------------------------------------------------------------
 
@@ -203,5 +204,5 @@
       REWIND( numnatp_cfg )              ! Namelist nampisbio in configuration namelist : Pisces variables
       READ  ( numnatp_cfg, nampisbio, IOSTAT = ios, ERR = 902 )
-902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampisbio in configuration namelist', lwp )
+902   IF( ios >  0 ) CALL ctl_nam ( ios , 'nampisbio in configuration namelist', lwp )
       IF(lwm) WRITE ( numonp, nampisbio )
 
@@ -238,5 +239,5 @@
       REWIND( numnatp_cfg )              ! Namelist nampisdmp in configuration namelist : Pisces damping
       READ  ( numnatp_cfg, nampisdmp, IOSTAT = ios, ERR = 906 )
-906   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampisdmp in configuration namelist', lwp )
+906   IF( ios >  0 ) CALL ctl_nam ( ios , 'nampisdmp in configuration namelist', lwp )
       IF(lwm) WRITE ( numonp, nampisdmp )
 
@@ -255,5 +256,5 @@
       REWIND( numnatp_cfg )              ! Namelist nampismass in configuration namelist : Pisces mass conservation check 
       READ  ( numnatp_cfg, nampismass, IOSTAT = ios, ERR = 908 )
-908   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampismass in configuration namelist', lwp )
+908   IF( ios >  0 ) CALL ctl_nam ( ios , 'nampismass in configuration namelist', lwp )
       IF(lwm) WRITE ( numonp, nampismass )
 
@@ -264,6 +265,7 @@
          WRITE(numout,*) '    Flag to check mass conservation of NO3/Si/TALK ln_check_mass = ', ln_check_mass
       ENDIF
-
+      !
    END SUBROUTINE p4z_sms_init
+
 
    SUBROUTINE p4z_rst( kt, cdrw )
@@ -279,7 +281,6 @@
       INTEGER         , INTENT(in) ::   kt         ! ocean time-step
       CHARACTER(len=*), INTENT(in) ::   cdrw       ! "READ"/"WRITE" flag
-      !
-      !!---------------------------------------------------------------------
-
+      !!---------------------------------------------------------------------
+      !
       IF( TRIM(cdrw) == 'READ' ) THEN
          !
@@ -337,4 +338,5 @@
    END SUBROUTINE p4z_rst
 
+
    SUBROUTINE p4z_dmp( kt )
       !!----------------------------------------------------------------------
@@ -354,5 +356,4 @@
       REAL(wp) :: zalksumb, zpo4sumb, zno3sumb, zsilsumb
       !!---------------------------------------------------------------------
-
 
       IF(lwp)  WRITE(numout,*)
@@ -415,5 +416,4 @@
       !!
       !!---------------------------------------------------------------------
-      !
       INTEGER, INTENT( in ) ::   kt      ! ocean time-step index      
       REAL(wp)             ::  zrdenittot, zsdenittot, znitrpottot
@@ -422,8 +422,5 @@
       REAL(wp), POINTER, DIMENSION(:,:,:) :: zwork
       !!----------------------------------------------------------------------
-
-      !
-      !!---------------------------------------------------------------------
-
+      !
       IF( kt == nittrc000 ) THEN 
          xfact1 = rfact2r * 12. / 1.e15 * ryyss    ! conversion molC/kt --> PgC/yr
@@ -535,7 +532,6 @@
          !
          IF( lwp ) WRITE(numnit,9200) ndastp, znitrpottot * xfact2  , &
-         &                             zrdenittot  * xfact2  , &
-         &                             zsdenittot  * xfact2
-
+            &                             zrdenittot  * xfact2  , &
+            &                             zsdenittot  * xfact2
       ENDIF
       !
@@ -543,5 +539,4 @@
  9100  FORMAT(i8,5e18.10)
  9200  FORMAT(i8,3f10.5)
-
        !
    END SUBROUTINE p4z_chk_mass
